Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.JavascriptModifyItemInfo Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (event_type, page_index, field_control_index, modify_item_type, modify_type, modify_property_type, field_or_annot_name, new_value, old_value)
| Constructor, with parameters. More...

## Public Attributes
| event_type
| The javascript event type. Please refer to values starting from FSDK.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.
| field_control_index
| The control index of form field.
| field_or_annot_name
| The form field full name or annot subtype name.
| modify_item_type
| The modify item type. Please refer to values starting from FSDK.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.
| modify_property_type
| The modify property type. Please refer to values starting from FSDK.JavascriptModifyItemInfo.e_JavascriptModifyPropertyTypeNone and this should be one of these values.
| modify_type
| The modify type. Please refer to values starting from FSDK.JavascriptModifyItemInfo.e_JavascriptModifyTypeNone and this should be one of these values.
| new_value
| The new value.
| old_value
| The old value.
| page_index
| The page index.

## Static Public Attributes
static | e_JavascriptEventTypeAppInit
| Javascript event: App initialize.
static | e_JavascriptEventTypeBatchExec
| Javascript event: Batch execute.
static | e_JavascriptEventTypeBookmarkMouseUp
| Javascript event: Bookmark mouse up.
static | e_JavascriptEventTypeConsoleExec
| Javascript event: Console execute.
static | e_JavascriptEventTypeDocDidprint
| Javascript event: Document did print.
static | e_JavascriptEventTypeDocDidSave
| Javascript event: Document did save.
static | e_JavascriptEventTypeDocOpen
| Javascript event: Document open.
static | e_JavascriptEventTypeDocWillClose
| Javascript event: Document will close.
static | e_JavascriptEventTypeDocWillPrint
| Javascript event: Document will print.
static | e_JavascriptEventTypeDocWillSave
| Javascript event: Document will save.
static | e_JavascriptEventTypeExternalExec
| Javascript event: External execute.
static | e_JavascriptEventTypeFieldBlur
| Javascript event: Form field blur.
static | e_JavascriptEventTypeFieldCalculate
| Javascript event: Form field calculate.
static | e_JavascriptEventTypeFieldFocus
| Javascript event: Form field focus.
static | e_JavascriptEventTypeFieldFormat
| Javascript event: Form field format.
static | e_JavascriptEventTypeFieldKeyStroke
| Javascript event: Form field key stroke.
static | e_JavascriptEventTypeFieldMouseDown
| Javascript event: Form field mouse down.
static | e_JavascriptEventTypeFieldMouseEnter
| Javascript event: Form field mouse enter.
static | e_JavascriptEventTypeFieldMouseExit
| Javascript event: Form field mouse exit.
static | e_JavascriptEventTypeFieldMouseUp
| Javascript event: Form field mouse up.
static | e_JavascriptEventTypeFieldValidate
| Javascript event: Form field validate.
static | e_JavascriptEventTypeHtmlCallback
| Javascript event: Html callback.
static | e_JavascriptEventTypeLinkMouseUp
| Javascript event: Link mouse up.
static | e_JavascriptEventTypeMediaBlur
| Javascript event: Media blur.
static | e_JavascriptEventTypeMediaClose
| Javascript event: Media close.
static | e_JavascriptEventTypeMediaDone
| Javascript event: Media done.
static | e_JavascriptEventTypeMediaPlay
| Javascript event: Media play.
static | e_JavascriptEventTypeMediaReady
| Javascript event: Media ready.
static | e_JavascriptEventTypeMediaSeek
| Javascript event: Media seek.
static | e_JavascriptEventTypeMediaStop
| Javascript event: Media stop.
static | e_JavascriptEventTypeMenuExec
| Javascript event: Menu execute.
static | e_JavascriptEventTypePageClose
| Javascript event: Page close.
static | e_JavascriptEventTypePageInView
| Javascript event: Page inview.
static | e_JavascriptEventTypePageOpen
| Javascript event: Page open.
static | e_JavascriptEventTypePageOutView
| Javascript event: Page outview.
static | e_JavascriptEventTypeScreenBlur
| Javascript event: Screen blur.
static | e_JavascriptEventTypeScreenClose
| Javascript event: Screen close.
static | e_JavascriptEventTypeScreenFocus
| Javascript event: Screen focus.
static | e_JavascriptEventTypeScreenInview
| Javascript event: Screen in view.
static | e_JavascriptEventTypeScreenMouseDown
| Javascript event: Screen mouse down.
static | e_JavascriptEventTypeScreenMouseEnter
| Javascript event: Screen mouse enter.
static | e_JavascriptEventTypeScreenMouseExit
| Javascript event: Screen mouse exit.
static | e_JavascriptEventTypeScreenMouseUp
| Javascript event: Screen mouse up.
static | e_JavascriptEventTypeScreenOpen
| Javascript event: Screen open.
static | e_JavascriptEventTypeScreenOutview
| Javascript event: Screen out view.
static | e_JavascriptEventTypeUnknown
| Enumeration for javascript event type. More...
static | e_JavascriptModifyItemTypeAnnot
| Javascript modify item type: Annot.
static | e_JavascriptModifyItemTypeDoc
| Javascript modify item type: Doc.
static | e_JavascriptModifyItemTypeField
| Javascript modify item type: field.
static | e_JavascriptModifyItemTypeNone
| Enumeration for javascript modify item type. More...
static | e_JavascriptModifyItemTypePage
| Javascript modify item type: Page.
static | e_JavascriptModifyPropertyTypeActivated
| Javascript modify property type: activated.
static | e_JavascriptModifyPropertyTypeAddFileAttachment
| Javascript modify property type: add fileattachment.
static | e_JavascriptModifyPropertyTypeAddLink
| Javascript modify property type: add link.
static | e_JavascriptModifyPropertyTypeAddPageTemplate
| Javascript modify property type: add page template.
static | e_JavascriptModifyPropertyTypeAddWatermark
| Javascript modify property type: add watermark.
static | e_JavascriptModifyPropertyTypeAddWeblinks
| Javascript modify property type: add web links.
static | e_JavascriptModifyPropertyTypeAlignment
| Javascript modify property type: alignment.
static | e_JavascriptModifyPropertyTypeArrowBegin
| Javascript modify property type: arrow begin.
static | e_JavascriptModifyPropertyTypeArrowEnd
| Javascript modify property type: arrow end.
static | e_JavascriptModifyPropertyTypeAttachIcon
| Javascript modify property type: attach icon.
static | e_JavascriptModifyPropertyTypeBorderColor
| Javascript modify property type: border color.
static | e_JavascriptModifyPropertyTypeBorderEffectIntensity
| Javascript modify property type: border effect intensity.
static | e_JavascriptModifyPropertyTypeBorderEffectStyle
| Javascript modify property type: border effect style.
static | e_JavascriptModifyPropertyTypeBorderStyle
| Javascript modify property type: border style.
static | e_JavascriptModifyPropertyTypeButtonAlignX
| Javascript modify property type: button align x.
static | e_JavascriptModifyPropertyTypeButtonAlignY
| Javascript modify property type: button align y.
static | e_JavascriptModifyPropertyTypeButtonFitBounds
| Javascript modify property type: button fit bounds.
static | e_JavascriptModifyPropertyTypeButtonPosition
| Javascript modify property type: button position.
static | e_JavascriptModifyPropertyTypeButtonScaleHow
| Javascript modify property type: button scale how.
static | e_JavascriptModifyPropertyTypeButtonScaleWhen
| Javascript modify property type: button scale when.
static | e_JavascriptModifyPropertyTypeButtonSetIcon
| Javascript modify property type: set button icon.
static | e_JavascriptModifyPropertyTypeCallout
| Javascript modify property type: callout.
static | e_JavascriptModifyPropertyTypeCaretSymbol
| Javascript modify property type: caret symbol.
static | e_JavascriptModifyPropertyTypeCharLimit
| Javascript modify property type: char limit.
static | e_JavascriptModifyPropertyTypeCheckThisBox
| Javascript modify property type: check this box.
static | e_JavascriptModifyPropertyTypeClearItems
| Javascript modify property type: clear items.
static | e_JavascriptModifyPropertyTypeComb
| Javascript modify property type: comb.
static | e_JavascriptModifyPropertyTypeContents
| Javascript modify property type: contents.
static | e_JavascriptModifyPropertyTypeDash
| Javascript modify property type: dash.
static | e_JavascriptModifyPropertyTypeDefaultIsChecked
| Javascript modify property type: default is checked.
static | e_JavascriptModifyPropertyTypeDefaultStyle
| Javascript modify property type: default style.
static | e_JavascriptModifyPropertyTypeDefaultValue
| Javascript modify property type: default value.
static | e_JavascriptModifyPropertyTypeDelay
| Javascript modify property type: delay.
static | e_JavascriptModifyPropertyTypeDeleteAnnot
| Javascript modify property type: delete annot.
static | e_JavascriptModifyPropertyTypeDeleteItemAt
| Javascript modify property type: delete item at.
static | e_JavascriptModifyPropertyTypeDisplay
| Javascript modify property type: display.
static | e_JavascriptModifyPropertyTypeDoCaption
| Javascript modify property type: do caption.
static | e_JavascriptModifyPropertyTypeDoNotScroll
| Javascript modify property type: do not scroll.
static | e_JavascriptModifyPropertyTypeDownCaption
| Javascript modify property type: down caption.
static | e_JavascriptModifyPropertyTypeEditable
| Javascript modify property type: editable.
static | e_JavascriptModifyPropertyTypeFillColor
| Javascript modify property type: fill color.
static | e_JavascriptModifyPropertyTypeFlatDocument
| Javascript modify property type: flat document.
static | e_JavascriptModifyPropertyTypeGestures
| Javascript modify property type: gestures.
static | e_JavascriptModifyPropertyTypeHidden
| Javascript modify property type: hidden.
static | e_JavascriptModifyPropertyTypeHighlight
| Javascript modify property type: highlight.
static | e_JavascriptModifyPropertyTypeImport
| Javascript modify property type: import.
static | e_JavascriptModifyPropertyTypeImportAnnotFromXFDF
| Javascript modify property type: import annot from xfdf.
static | e_JavascriptModifyPropertyTypeImportDataObject
| Javascript modify property type: import data object.
static | e_JavascriptModifyPropertyTypeInsertFromTemplates
| Javascript modify property type: insert from templates.
static | e_JavascriptModifyPropertyTypeInsertItemAt
| Javascript modify property type: insert item at.
static | e_JavascriptModifyPropertyTypeInsertPages
| Javascript modify property type: insert pages.
static | e_JavascriptModifyPropertyTypeIntent
| Javascript modify property type: intent.
static | e_JavascriptModifyPropertyTypeLeaderExtend
| Javascript modify property type: leader extend.
static | e_JavascriptModifyPropertyTypeLeaderLength
| Javascript modify property type: leader length.
static | e_JavascriptModifyPropertyTypeLineEnding
| Javascript modify property type: line ending.
static | e_JavascriptModifyPropertyTypeLineWidth
| Javascript modify property type: line width.
static | e_JavascriptModifyPropertyTypeMovePage
| Javascript modify property type: move page.
static | e_JavascriptModifyPropertyTypeMultiline
| Javascript modify property type: multiline.
static | e_JavascriptModifyPropertyTypeMultipleSelection
| Javascript modify property type: multiple selection.
static | e_JavascriptModifyPropertyTypeNewPage
| Javascript modify property type: new page.
static | e_JavascriptModifyPropertyTypeNone
| Enumeration for javascript pre-sign item type. More...
static | e_JavascriptModifyPropertyTypeNormalCaption
| Javascript modify property type: normal caption.
static | e_JavascriptModifyPropertyTypeNoteIcon
| Javascript modify property type: note icon.
static | e_JavascriptModifyPropertyTypeNotSpellCheck
| Javascript modify property type: not spell check.
static | e_JavascriptModifyPropertyTypeOpacity
| Javascript modify property type: opacity.
static | e_JavascriptModifyPropertyTypePageRotations
| Javascript modify property type: page rotations.
static | e_JavascriptModifyPropertyTypePassword
| Javascript modify property type: password.
static | e_JavascriptModifyPropertyTypePoints
| Javascript modify property type: points.
static | e_JavascriptModifyPropertyTypeQuads
| Javascript modify property type: quads.
static | e_JavascriptModifyPropertyTypeRect
| Javascript modify property type: rect.
static | e_JavascriptModifyPropertyTypeRemoveDataObject
| Javascript modify property type: remove data object.
static | e_JavascriptModifyPropertyTypeRemoveLinks
| Javascript modify property type: remove links.
static | e_JavascriptModifyPropertyTypeRemoveTemplate
| Javascript modify property type: remove template.
static | e_JavascriptModifyPropertyTypeRemoveWeblinks
| Javascript modify property type: remove web links.
static | e_JavascriptModifyPropertyTypeReplacePages
| Javascript modify property type: replace pages.
static | e_JavascriptModifyPropertyTypeRequired
| Javascript modify property type: required.
static | e_JavascriptModifyPropertyTypeResizePage
| Javascript modify property type: resize page.
static | e_JavascriptModifyPropertyTypeRichContents
| Javascript modify property type: rich contents.
static | e_JavascriptModifyPropertyTypeRichDefaults
| Javascript modify property type: rich defaults.
static | e_JavascriptModifyPropertyTypeRichText
| Javascript modify property type: rich text.
static | e_JavascriptModifyPropertyTypeRichValue
| Javascript modify property type: rich value.
static | e_JavascriptModifyPropertyTypeRolloverCaption
| Javascript modify property type: rollover caption.
static | e_JavascriptModifyPropertyTypeRotation
| Javascript modify property type: rotation.
static | e_JavascriptModifyPropertyTypeRsetAllForms
| Javascript modify property type: reset all forms.
static | e_JavascriptModifyPropertyTypeRsetForms
| Javascript modify property type: reset forms.
static | e_JavascriptModifyPropertyTypeRuntimeHighlight
| Javascript modify property type: runtime highlight.
static | e_JavascriptModifyPropertyTypeRuntimeHighlightColor
| Javascript modify property type: runtime highlight color.
static | e_JavascriptModifyPropertyTypeSelectChange
| Javascript modify property type: select change.
static | e_JavascriptModifyPropertyTypeSetItems
| Javascript modify property type: set items.
static | e_JavascriptModifyPropertyTypeSetPageTemplateVisible
| Javascript modify property type: set page template visible.
static | e_JavascriptModifyPropertyTypeSoundIcon
| Javascript modify property type: sound icon.
static | e_JavascriptModifyPropertyTypeSpawnPageFromTemplate
| Javascript modify property type: spawn page from template.
static | e_JavascriptModifyPropertyTypeSubject
| Javascript modify property type: subject.
static | e_JavascriptModifyPropertyTypeTextColor
| Javascript modify property type: text color.
static | e_JavascriptModifyPropertyTypeTextFont
| Javascript modify property type: text font.
static | e_JavascriptModifyPropertyTypeTextSize
| Javascript modify property type: text size.
static | e_JavascriptModifyPropertyTypeTitle
| Javascript modify property type: title.
static | e_JavascriptModifyPropertyTypeToggleNoView
| Javascript modify property type: toggle no view.
static | e_JavascriptModifyPropertyTypeUserName
| Javascript modify property type: user name.
static | e_JavascriptModifyPropertyTypeValue
| Javascript modify property type: value.
static | e_JavascriptModifyPropertyTypeVertices
| Javascript modify property type: vertices.
static | e_JavascriptModifyTypeAdd
| Javascript modify type: add.
static | e_JavascriptModifyTypeDelete
| Javascript modify type: delete.
static | e_JavascriptModifyTypeModify
| Javascript modify type: modify.
static | e_JavascriptModifyTypeNone
| Enumeration for javascript modify type. More...

## Detailed Description

This class represents the javascript modify item information

## Member Function Documentation

## ◆ constructor()

FSDK.JavascriptModifyItemInfo.constructor | ( | event_type | ,
|  | page_index | ,
|  | field_control_index | ,
|  | modify_item_type | ,
|  | modify_type | ,
|  | modify_property_type | ,
|  | field_or_annot_name | ,
|  | new_value | ,
|  | old_value |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | event_type | The javascript event type.
  [in] | page_index | The modify page index.
  [in] | formfield_control_index | The control index of form field.
  [in] | modify_item_type | The modify item type.
  [in] | modify_type | The modify type.
  [in] | modify_property_type | The modify property type.
  [in] | field_or_annot_name | The form field full name or annot subtype name.
  [in] | new_value | The new value.
  [in] | old_value | The old value.

## Member Data Documentation

## ◆ e_JavascriptEventTypeUnknown

FSDK.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown
| static

Enumeration for javascript event type.

Values of this enumeration should be used alone.

Javascript event: unknown.

## ◆ e_JavascriptModifyItemTypeNone

FSDK.JavascriptModifyItemInfo.e_JavascriptModifyItemTypeNone
| static

Enumeration for javascript modify item type.

Values of this enumeration should be used alone.

Javascript modify item type: none.

## ◆ e_JavascriptModifyPropertyTypeNone

FSDK.JavascriptModifyItemInfo.e_JavascriptModifyPropertyTypeNone
| static

Enumeration for javascript pre-sign item type.

Values of this enumeration should be used alone.

Javascript modify property type: none.

## ◆ e_JavascriptModifyTypeNone

FSDK.JavascriptModifyItemInfo.e_JavascriptModifyTypeNone
| static

Enumeration for javascript modify type.

Values of this enumeration should be used alone.

Javascript modify type: none.